- page_title _('Enter Admin Mode')
- add_page_specific_style 'page_bundles/login'

.row.justify-content-center
  .col-md-5.new-session-forms-container
    .login-page
      #signin-container{ class: ('borderless' if Feature.enabled?(:restyle_login_page, @project)) }
        - if any_form_based_providers_enabled?
          = render 'devise/shared/tabs_ldap', show_password_form: allow_admin_mode_password_authentication_for_web?, render_signup_link: false
        - else
          = render 'devise/shared/tab_single', tab_title: page_title
        .tab-content
          - if allow_admin_mode_password_authentication_for_web? || ldap_sign_in_enabled? || crowd_enabled?
            = render 'admin/sessions/signin_box'

        -# Show a message if none of the mechanisms above are enabled
        - if !allow_admin_mode_password_authentication_for_web? && !ldap_sign_in_enabled? && !omniauth_enabled?
          .gl-mt-3.center
            = _('No authentication methods configured.')

        - if omniauth_enabled? && button_based_providers_enabled?
          = render 'devise/shared/omniauth_box', render_remember_me: false
